# WOK
TKWOK
WOKBuilder

# WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell Class Reference

`#include <WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell.hxx>`

Inheritance diagram for WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell ()
Standard_EXPORT | WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell (const WOKBuilder_DataMapOfHAsciiStringOfToolInShell &aMap)
Standard_EXPORT void | Initialize (const WOKBuilder_DataMapOfHAsciiStringOfToolInShell &aMap)
Standard_EXPORT const Handle_TCollection_HAsciiString & | Key () const
Standard_EXPORT const Handle_WOKBuilder_ToolInShell & | Value () const
Standard_EXPORT Standard_Integer | Hashcode () const

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell | ( |  | ) |

Standard_EXPORT WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell | ( | const WOKBuilder_DataMapOfHAsciiStringOfToolInShell & | aMap | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::Hashcode | ( |  | ) | const

Standard_EXPORT void WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::Initialize | ( | const WOKBuilder_DataMapOfHAsciiStringOfToolInShell & | aMap | ) |

Standard_EXPORT const Handle_TCollection_HAsciiString& WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::Key | ( |  | ) | const

void WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

void* WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from WOKTools_BasicMapIterator.

Standard_EXPORT const Handle_WOKBuilder_ToolInShell& WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- WOKBuilder_DataMapIteratorOfDataMapOfHAsciiStringOfToolInShell.hxx